# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/gconftool-2 /usr/bin/glib-gettextize python-devel
# END SourceDeps(oneline)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gnome-specimen
Version:        0.4
Release:        alt1.2_6
Summary:        A simple tool to view and compare fonts installed on your system

Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://uwstopia.nl/geek/projects/gnome-specimen/
Source0:        http://uwstopia.nl/geek/projects/gnome-specimen/releases/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  libGConf-devel gnome-python2 python-module-pygtk perl-XML-Parser gettext desktop-file-utils
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
Source44: import.info

%description
Gnome Specimen is a simple tool to view and compare fonts installed on 
your system

%prep
%setup -q


%build
%configure
make %{?_smp_mflags} pyexecdir=%{python_sitelibdir_noarch}


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT pyexecdir=%{python_sitelibdir_noarch}

desktop-file-install --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications        \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%find_lang %{name}

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README
%dir %{python_sitelibdir_noarch}/specimen
%{python_sitelibdir_noarch}/specimen/*.py*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1.2_6
- initial fc import

* Wed Dec 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4-alt1.2
- Rebuilt with python 2.6

* Sat Nov 14 2009 Repocop Q. A. Robot <repocop@altlinux.org> 0.4-alt1.1.qa2
- NMU (by repocop): the following fixes applied:
  * update_menus for gnome-specimen
  * postclean-05-filetriggers for spec file

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1.1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for gnome-specimen

* Sat Jan 26 2008 Grigory Batalov <bga@altlinux.ru> 0.4-alt1.1
- Rebuilt with python-2.5.

* Sun Jan 06 2008 Alexey Rusakov <ktirf@altlinux.org> 0.4-alt1
- New version (0.4).

* Sat Sep 08 2007 Alexey Rusakov <ktirf@altlinux.org> 0.3.1-alt2
- fixed (hopefully) building on x86_64.

* Fri Sep 07 2007 Alexey Rusakov <ktirf@altlinux.org> 0.3.1-alt1
- new version (0.3.1)

* Tue Aug 21 2007 Alexey Rusakov <ktirf@altlinux.org> 0.3-alt1
- Initial Sisyphus release

